### Virtual Method

# Gio SettingsBackend read

#### Declaration [src]

    GVariant*
    read (
      GSettingsBackend* backend,
      const gchar* key,
      const GVariantType* expected_type,
      gboolean default_value
    )

#### Description [src]

Virtual method to read a key’s value.

#### Parameters

`key`

  Type: `const gchar*`

  No description available.

  The data is owned by the caller of the method.
  The value is a NUL terminated UTF-8 string.

`expected_type`

  Type: `GVariantType`

  No description available.

  The data is owned by the caller of the method.

`default_value`

  Type: `gboolean`

  No description available.

#### Return value

Type: `GVariant`

No description available.

The caller of the method takes ownership of the returned data, and is responsible for freeing it.